## javax.xml.stream.events
Interface Attribute

All Superinterfaces:
  XMLEvent, XMLStreamConstants

All Known Subinterfaces:
  Namespace

public interface Attribute
extends XMLEvent

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`java.lang.String` `getDTDType()`
`QName` `getName()`
`java.lang.String` `getValue()`
`boolean` `isSpecified()`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Method Detail

### getDTDType

    public java.lang.String getDTDType()

### getName

    public QName getName()

### getValue

    public java.lang.String getValue()

### isSpecified

    public boolean isSpecified()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.